Skip to main content

createOrUpdateTeamMapping

Create or update team mapping between Conviso Platform and an external platform

createOrUpdateTeamMapping(
input: CreateOrUpdateTeamMappingInput!
): CreateOrUpdateTeamMappingPayload

Arguments​

createOrUpdateTeamMapping.input ● CreateOrUpdateTeamMappingInput! non-null input​

Parameters for CreateOrUpdateTeamMapping

Type​

CreateOrUpdateTeamMappingPayload object​

Autogenerated return type of CreateOrUpdateTeamMapping.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the integrations query first and use data.integrations.collection[].id as integrationId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateTeamMapping($input: CreateOrUpdateTeamMappingInput!) {\n createOrUpdateTeamMapping(input: $input) { clientMutationId teamMappings { externalTeamId integrationId team { __typename } } }\n}","variables":{"input":{"integrationId":"<integration_id>","teamMappings":[{"externalTeamId":"<external_team_id>","teamId":"<team_id>"}]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute